JsDoc Reference - ChipAuthenticationInfo

Class Index | File Index

## Classes

- _global_
- AccessController
- APDU
- AuthenticationObject
- CAConnection
- ChipAuthentication
- ChipAuthenticationDomainParameterInfo
- ChipAuthenticationInfo
- ChipAuthenticationPublicKeyInfo
- CommandInterpreter
- CRLGenerator
- CVC
- CVCCA
- CVCertificateStore
- DataUnitAPDU
- DF
- DKEK
- DNEncoder
- EAC20
- EAC2CVCertificateGenerator
- EAC2CVRequestGenerator
- FCP
- File
- FileEncryptor
- FileSelector
- FileSystemIdObject
- FSNode
- GPSCP03
- HSMCVCertificateStore
- HSMKeyStore
- LinearEF
- ManagePKA
- P11CVCertificateStore
- PACE
- PACEDomainParameterInfo
- PACEInfo
- PaperKeyEncoding
- PKCS10Generator
- PublicKeyFile
- PublicKeyReference
- RAMClient
- RestrictedIdentificationDomainParameterInfo
- RestrictedIdentificationInfo
- SecureChannelHandler
- SecureMessagingCommandAPDUDecoder
- SecurityEnvironment
- SignatureKey
- SmartCardHSM
- SmartCardHSMCrypto
- SmartCardHSMInitializer
- SmartCardHSMKey
- SmartCardHSMKeySpecGenerator
- SmartCardHSMSymmetricKeySpecGenerator
- TransparentEF
- TrustAnchor
- X509CertificateGenerator
- X509CertificateIssuer
- X509CertificateStore
- X509Signer

# Class ChipAuthenticationInfo

This class encodes and decodes ChipAuthenticationInfo objects.

The class implements the following ASN.1 syntax:

    	ChipAuthenticationInfo ::= SEQUENCE {
    		protocol OBJECT IDENTIFIER(
    			id-CA-DH-3DES-CBC-CBC |
    			id-CA-DH-AES-CBC-CMAC-128 |
    			id-CA-DH-AES-CBC-CMAC-192 |
    			id-CA-DH-AES-CBC-CMAC-256 |
    			id-CA-ECDH-3DES-CBC-CBC |
    			id-CA-ECDH-AES-CBC-CMAC-128 |
    			id-CA-ECDH-AES-CBC-CMAC-192 |
    			id-CA-ECDH-AES-CBC-CMAC-256),
    		version INTEGER, -- MUST be 1 or 2
    		keyId INTEGER OPTIONAL
    }

Defined in: ChipAuthentication.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| ChipAuthenticationInfo(the) Create a ChipAuthenticationInfo object

Method Summary
Method Attributes | Method Name and Description
--- | ---
| toTLV() Convert object to TLV structure

Class Detail
ChipAuthenticationInfo(the)
Create a ChipAuthenticationInfo object

Parameters:
{ASN1} the
  optional tlv structure to initialize the object

Method Detail
{ASN1} toTLV()
Convert object to TLV structure

Returns:
  the TLV structure

Documentation generated by JsDoc Toolkit 2.4.0 on Fri Mar 27 2026 16:43:33 GMT+0100 (CET)